GET /orgs/{org}/insights/api/subject-stats

github.com:github-rest-api

Summary: Get subject stats
Operation ID: api-insights/get-subject-stats
Auth: bearer_token
Description

Get API request statistics for all subjects within an organization within a specified time frame. Subjects can be users or GitHub Apps.

Parameters (8)

direction (string, query, optional, default: desc)

The direction to sort the results by.

Constraints: {'enum': ['asc', 'desc']}

max_timestamp (string, query, optional)

The maximum timestamp to query for stats. Defaults to the time 30 days ago. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.

min_timestamp (string, query, required)

The minimum timestamp to query for stats. This is a timestamp in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format: `YYYY-MM-DDTHH:MM:SSZ`.

org (string, path, required)

The organization name. The name is not case sensitive.

page (integer, query, optional, default: 1)

The page number of the results to fetch. For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

per_page (integer, query, optional, default: 30)

The number of results per page (max 100). For more information, see "[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api)."

sort (array, query, optional)

The property to sort the results by.

subject_name_substring (string, query, optional)

Providing a substring will filter results where the subject name contains the substring. This is a case-insensitive search.

No probe data for this endpoint yet.